Name:           nethogs
Version:        0.7
Release:        3.20080627cvs%{?dist}
Summary:        A tool resembling top for network traffic

Group:          Applications/Internet
License:        GPL+
URL:			http://nethogs.sourceforge.net

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# cvs -z3 -d:pserver:anonymous@nethogs.cvs.sourceforge.net:/cvsroot/nethogs co -P nethogs 
# tar -zcf nethogs-20080627.tar.gz nethogs/  
Source0: nethogs-20080627.tar.gz
Patch0: nethogs-0.7-1.20080627cvs-gcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ncurses 
BuildRequires:  libstdc++-devel, ncurses-devel, libpcap-devel, gcc-c++

%description
NetHogs is a small "net top" tool.

Instead of breaking the traffic down per protocol or per subnet, like
most such tools do, it groups bandwidth by process and does not rely
on a special kernel module to be loaded.

So if there's suddenly a lot of network traffic, you can fire up
NetHogs and immediately see which PID is causing this, and if it's
some kind of spinning process, kill it.

%prep
%setup -q -n "nethogs"
%patch -p1 -b .gcc34

%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf "${RPM_BUILD_ROOT}"

mkdir -p "${RPM_BUILD_ROOT}%{_sbindir}"
install -m 0755 nethogs "${RPM_BUILD_ROOT}%{_sbindir}/"

mkdir -p "${RPM_BUILD_ROOT}%{_mandir}/man8"
install -m 0644 nethogs.8 "${RPM_BUILD_ROOT}%{_mandir}/man8/"

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files
%defattr(-,root,root)
%doc Changelog DESIGN README
%{_sbindir}/nethogs
%doc %{_mandir}/man*/*

%changelog
* Fri Jul 08 2008 Anderson Silva <ansilva@redhat.com> 0.7-3.20080627cvs
- Fix for debuginfo package provided by Ville Skytta.
* Fri Jun 27 2008 Anderson Silva <ansilva@redhat.com> 0.7-2.20080627cvs
- Patch provided by Marek Mahut to compile under Fedora 9
- Removed BuildArch restrictions
* Fri Jun 27 2008 Anderson Silva <ansilva@redhat.com> 0.7-1.20080627cvs
- Stable package of nethogs
